gnutls_x509_key_purpose_set(3)

NAME
gnutls_x509_key_purpose_set - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_key_purpose_set(gnutls_x509_key_purposes_t p, const char * oid);

ARGUMENTS

gnutls_x509_key_purposes_t p
    The key purposes

const char * oid
    The object identifier of the key purpose

DESCRIPTION
This function will store the specified key purpose in the purposes.

RETURNS
On success, GNUTLS_E_SUCCESS (0), otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/